public class ComparableRectangle extends Rectangle 
    implements Comparable<ComparableRectangle> {
  /** Tworzy obiekt typu ComparableRectangle na podstawie podanych właściwości */
  public ComparableRectangle(double width, double height) {
    super(width, height);
  }

  @Override // Implementacja metody compareTo zdefiniowanej w interfejsie Comparable
  public int compareTo(ComparableRectangle o) {
    if (getArea() > o.getArea())
      return 1;
    else if (getArea() < o.getArea())
      return -1;
    else
      return 0;
  }
  
  @Override // Implementacja metody toString z klasy GeometricObject
  public String toString() {
    return "Szerokość: " + getWidth() + " Wysokość: " + getHeight() +
      "Powierzchnia: " + getArea();
  }
}
